//allows for printing with features, but uses more memory
#define RPRINTF_FLOAT
#define RPRINTF_COMPLEX

#include "hardware.h"

#include "VR_library.h"		//voice recognition library



// Initialise the hardware
void appInitHardware(void) {
	initHardware();


}
// Initialise the software
TICK_COUNT appInitSoftware(TICK_COUNT loopStart){
	
	delay_ms(500);

	rprintf("\nAxon Initiated\n");

	VR_Module_init();

	return 0;
}
// This is the main loop
TICK_COUNT appControl(LOOP_COUNT loopCount, TICK_COUNT loopStart) {

	int8_t voice_command=0;

	//start voice recognition (note: it times out)
	VR_Module_start_recognition(0);

	voice_command = VR_Module_get_result();
	
	while(voice_command == 0)
		{
		//rprintf("step2");
		
		//delay_ms(100);
		voice_command = VR_Module_get_result();
		}

	rprintf("\nvoice command is: %d",voice_command);

	return 0;
}
